Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.util
Class NonSerializingCacheWrapper<T>

    java.lang.Object
      com.bea.netuix.application.util.NonSerializingCacheWrapper<T>

All Implemented Interfaces
  Externalizable, Serializable

    public class NonSerializingCacheWrapper<T>

extends Object
implements Externalizable

The NonSerializingCacheWrapper object wraps a cache and ensures it is not serialized. This is useful when storing a cache in an `HttpSession` and the cache is not intended to be replicated (if session replication is being used). This allows the cache to gain all the benefits of being in a Session object (namely, a lifespan equal to the Session lifespan) but without incurring any burden on the session replication mechanism.

See Also
  Serialized Form

Constructor Summary
`NonSerializingCacheWrapper()` Constructs a new NonSerializingCacheWrapper with a null cache object.
`NonSerializingCacheWrapper(T cache)` Constructs a new NonSerializingCacheWrapper with the specified cache object.

Method Summary
`T` | `getCache()` Returns the cache object, or null if not available.
`void` | `readExternal(ObjectInput in)` Does nothing.
`void` | `setCache(T cache)` Sets the cache object.
`void` | `writeExternal(ObjectOutput out)` Does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonSerializingCacheWrapper

    public NonSerializingCacheWrapper()

  Constructs a new NonSerializingCacheWrapper with a null cache object.

### NonSerializingCacheWrapper

    public NonSerializingCacheWrapper(T cache)

  Constructs a new NonSerializingCacheWrapper with the specified cache object.

Method Detail

### getCache

    public T getCache()

  Returns the cache object, or null if not available.

### setCache

    public void setCache(T cache)

  Sets the cache object.

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Does nothing.

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Does nothing.

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.